# =========================================================================== #
# Gemspec for Project Repackage.
# =========================================================================== #
require 'repackage/version/version.rb'
require 'roebe/toplevel_methods/misc.rb'

Gem::Specification.new { |s|

  s.name    = 'repackage'
  s.version = Repackage::VERSION
  s.date    = Time.now.strftime('%Y-%m-%d')

  DESCRIPTION = <<-EOF

This gem is called repackage. It allows the user to repackage a given
archive, such as from foobar-1.0.tar.gz towards 
foobar-1.0.tar.xz format.

If the target archive (the input that is given to the main class of
this gem) can not be found then the current behaviour is to first
try a glob-operation, such as via Dir[], before giving up,
since as of version 1.0.2 of this gem.

  EOF

  s.summary     = DESCRIPTION  
  s.description = DESCRIPTION


  s.authors     = ['Robert A. Heiler']
  s.email       = Roebe.email?
  s.files       = Dir['**/*']
  s.licenses    = 'MIT'
  s.homepage    = 'https://rubygems.org/gems/repackage'
  s.executables = Dir['bin/*'].map { |f| File.basename(f) }

  s.required_ruby_version     = '>= '+Roebe.third_most_stable_version_of_ruby
  s.required_rubygems_version = '>= '+Gem::VERSION
  s.rubygems_version          = '>= '+Gem::VERSION

  # s.add_dependency 'colours'
  s.add_dependency 'extracter'
  # s.add_dependency 'esystem'
  # s.add_dependency 'opn'

}